from fastapi import FastAPI
from tortoise.contrib.fastapi import register_tortoise

from settings import database_url


TORTOISE_ORM = {
    'connections': {'default': database_url},
    'apps': {
        'models': {
            'models': ['db.models', 'aerich.models'],
            'default_connection': 'default',
        },
    },
}


def init_db(app: FastAPI) -> None:
    register_tortoise(
        app,
        db_url=database_url,
        modules={"models": ["db.models"]},
        generate_schemas=False,
        add_exception_handlers=True,
    )
